# Class SimplePropertyDescriptor

java.lang.Object
org.eclipse.jdt.core.dom.StructuralPropertyDescriptor
org.eclipse.jdt.core.dom.SimplePropertyDescriptor

public final class SimplePropertyDescriptor extends StructuralPropertyDescriptor
Descriptor for a simple property of an AST node. A simple property is one whose value is a primitive type (such as `int` or `boolean`) or some simple value type (such as `String` or `InfixExpression.Operator`).

Since:
  3.0
See Also:
  - `ASTNode.getStructuralProperty(StructuralPropertyDescriptor)`
  - `ASTNode.setStructuralProperty(StructuralPropertyDescriptor, Object)`
Restriction:
  This class is not intended to be instantiated by clients.

## Method Summary

Modifier and Type
Method
Description
`Class`
`getValueType()`
Returns the value type of this property.
`boolean`
`isMandatory()`
Returns whether this property is mandatory.

### Methods inherited from class StructuralPropertyDescriptor

`getId, getNodeClass, isChildListProperty, isChildProperty, isSimpleProperty, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getValueType

public Class getValueType()
Returns the value type of this property.

For example, for a node type like SingleVariableDeclaration, the "modifiers" property returns `int.class`.

Returns:
  the value type of the property

### isMandatory

public boolean isMandatory()
Returns whether this property is mandatory. A property value is not allowed to be `null` if it is mandatory.

Returns:
  `true` if the property is mandatory, and `false` if it is may be `null`